PyOpenGL / suse linux 8.1

Probleme bei der Installation?
jocsch
User
Beiträge: 31
Registriert: Freitag 4. April 2003, 13:09
Wohnort: Egloffstein (Hundshaupten)

PyOpenGL / suse linux 8.1

Beitragvon jocsch » Freitag 4. April 2003, 13:15

Ich habe es ums verr..... nicht geschafft, PyOpenGl-2.0.0.44 unter diesem system zu installieren. hat jemand da erfahrungen, und kann mir schritt für schritt erklären, was woher in welcher version in welchem verzeichnis installiert sein muss, damit das SIMPLE 'python setup.py build --force install' auch mal funktioniert ???

danke euch im voraus
Benutzeravatar
Dookie
Python-Forum Veteran
Beiträge: 2010
Registriert: Freitag 11. Oktober 2002, 18:00
Wohnort: Salzburg
Kontaktdaten:

Beitragvon Dookie » Freitag 4. April 2003, 17:54

Hi jocsch,

versuchs doch mal mit Debian statt Suse, da sind durch das geniale Packetmanagement Installationen viel einfacher.


Gruß

Dookie
jochsch

Beitragvon jochsch » Sonntag 6. April 2003, 13:16

im prinzip ne gute idee, aber für dieses spezielle paket gibt weder *.deb's noch *.rpm's (zu mindest hab ich nirgends welche gefunden aber für tips und links bin ich natürlich sehr dankbar;-)) - das problem würde sich also nur verlagern. die installation via python setup.py ... meldet aber zum schluss etwas wie .../python/config/Makefile not found. den folder .../python/config gibts bei mir gar nicht. wirde der während der installation angelegt und es handelt sich möglicherweise um eine rechteproblem?
Milan
User
Beiträge: 1078
Registriert: Mittwoch 16. Oktober 2002, 20:52

Beitragvon Milan » Sonntag 6. April 2003, 13:35

verschoben nach Installation...
Benutzeravatar
hans
User
Beiträge: 728
Registriert: Sonntag 22. September 2002, 08:32
Wohnort: Sauerland
Kontaktdaten:

Beitragvon hans » Montag 7. April 2003, 19:54

jochsch, wie lautet die Fehlermeldung denn genau?

Hans
jocsch
User
Beiträge: 31
Registriert: Freitag 4. April 2003, 13:09
Wohnort: Egloffstein (Hundshaupten)

Beitragvon jocsch » Dienstag 8. April 2003, 12:32

Hallo!
Die Fehlermeldungen sind seitenlang, da her hier die in meine augen wichtigsten passagen (nach python setup.py install als root):

---------------------------------------------------------------
für PyOpenGL-2.0.0.44
(...)
Wrappers for API version 0x0002 don't need updating
Wrappers for API version 0x0001 don't need updating

- bis hierin offenbar ok

- aber dann:

Building wrappers for WGL.ARB.buffer_region
C version selector doesn't need updating
Generating wrappers for API version 0x0100
swig -python -Iinterface -DAPI_VERSION=256 -o src/interface/WGL.ARB.buffer_region.0100.inc interface/WGL/ARB/buffer_region.i
interface/WGL/util.inc:9: Syntax error in input.
interface/WGL/util.inc:16: Warning(302): Identifier 'WORD' redeclared (ignored).
interface/WGL/util.inc:11: Previous declaration of 'WORD'
interface/simple_typemaps.inc:13: Warning(450): Deprecated typemap feature ($source/$target).
interface/simple_typemaps.inc:13: Warning(450): The use of $source and $target in a typemap declaration is deprecated.
For typemaps related to argument input (in,ignore,default,arginit,check), replace
$source by $input and $target by $1. For typemaps related to return values (out,
argout,ret,except), replace $source by $1 and $target by $result. See the file
Doc/Manual/Typemaps.html for complete details.
interface/simple_typemaps.inc:18: Warning(450): Deprecated typemap feature ($source/$target).
interface/simple_typemaps.inc:24: Warning(450): Deprecated typemap feature ($source/$target).
interface/simple_typemaps.inc:37: Warning(450): Deprecated typemap feature ($source/$target).
interface/simple_typemaps.inc:43: Warning(450): Deprecated typemap feature ($source/$target).
interface/simple_typemaps.inc:49: Warning(450): Deprecated typemap feature ($source/$target).
interface/simple_typemaps.inc:54: Warning(450): Deprecated typemap feature ($source/$target).
#

------------------------------------------------------------------
PyOpenGL-2.0.1.03
(...)
/usr/include/GL/glxext.h:456: parse error before '*' token
/usr/include/GL/glxext.h:457: parse error before '*' token
/usr/include/GL/glxext.h:457: parse error before '*' token
/usr/include/GL/glxext.h:457: `GLXPixmap' declared as function returning a function
/usr/include/GL/glxext.h:457: `GLXPixmap' redeclared as different kind of symbol
/usr/include/GL/glx.h:181: previous declaration of `GLXPixmap'
/usr/include/GL/glxext.h:458: parse error before '*' token
/usr/include/GL/glxext.h:459: parse error before '*' token
/usr/include/GL/glxext.h:459: parse error before '*' token
/usr/include/GL/glxext.h:459: warning: data definition has no type or storage class
/usr/include/GL/glxext.h:460: parse error before '*' token
/usr/include/GL/glxext.h:472: parse error before '*' token
/usr/include/GL/glxext.h:472: parse error before '*' token
/usr/include/GL/glxext.h:472: `GLXPbufferSGIX' declared as function returning a function
/usr/include/GL/glxext.h:472: `GLXPbufferSGIX' redeclared as different kind of symbol
/usr/include/GL/glxext.h:299: previous declaration of `GLXPbufferSGIX'
/usr/include/GL/glxext.h:473: parse error before '*' token
/usr/include/GL/glxext.h:474: parse error before '*' token
/usr/include/GL/glxext.h:475: parse error before '*' token
/usr/include/GL/glxext.h:476: parse error before '*' token
/usr/include/GL/glxext.h:484: parse error before '*' token
/usr/include/GL/glxext.h:496: parse error before '*' token
/usr/include/GL/glxext.h:497: parse error before '*' token
/usr/include/GL/glxext.h:498: parse error before '*' token
/usr/include/GL/glxext.h:499: parse error before '*' token
/usr/include/GL/glxext.h:500: parse error before '*' token
/usr/include/GL/glxext.h:518: parse error before '*' token
/usr/include/GL/glxext.h:527: parse error before '*' token
/usr/include/GL/glxext.h:528: parse error before '*' token
/usr/include/GL/glxext.h:528: `PFNGLXQUERYMAXSWAPBARRIERSSGIXPROC' declared as function returning a function
/usr/include/GL/glxext.h:536: parse error before '*' token
/usr/include/GL/glxext.h:536: parse error before '*' token
/usr/include/GL/glxext.h:536: `Status' declared as function returning a function
/usr/include/GL/glxext.h:544: parse error before '*' token
/usr/include/GL/glxext.h:552: parse error before '*' token
/usr/include/GL/glxext.h:552: `PFNGLXCREATEGLXPIXMAPMESAPROC' declared as function returning a function
/usr/include/GL/glxext.h:560: parse error before '*' token
/usr/include/GL/glxext.h:560: `PFNGLXRELEASEBUFFERSMESAPROC' declared as function returning a function
/usr/include/GL/glxext.h:568: `PFNGLXSET3DFXMODEMESAPROC' declared as function returning a function
error: command 'gcc' failed with exit status 1

hmmmmmm ....

das lässt sich aber offenbar für pyopengl-2.0.0.44 besser an, da die 'deprecated tyemap features' zwar 'deprecated (also verabscheut)' werden, jedoch lt typemap-doku aus kompatibilitätsgründen noch beibehalten werden.

wer hat eine zündende idee?

oder kann mir sonst einen tip geben wie ich meine 3d ausgaben auf den bildschirm zaubern kann????

ganz vielen dank so far,

jocsch
Benutzeravatar
Dookie
Python-Forum Veteran
Beiträge: 2010
Registriert: Freitag 11. Oktober 2002, 18:00
Wohnort: Salzburg
Kontaktdaten:

Beitragvon Dookie » Dienstag 8. April 2003, 14:21

Hi jocsch,

wie gesagt, ich habe Debian, und da ist python-opengl schon als Paket dabei.


Gruß

Dookie
jocsch
User
Beiträge: 31
Registriert: Freitag 4. April 2003, 13:09
Wohnort: Egloffstein (Hundshaupten)

Beitragvon jocsch » Donnerstag 10. Juli 2003, 14:11

Hallo!
Um das Thema abzuschliessen: Bei Suse 8.2 ist PyOpenGl auch dabei (rpm) - jetzt bin ich alle Sorgen los!!!

Gruesse, Jochen

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder